> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assistant Messages



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}/messages:
    get:
      tags:
        - Assistant Messages
      summary: List Assistant Messages
      operationId: AssistantMessagesController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: conversationId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: projectId
          required: false
          in: query
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantMessageListResponseDto'
components:
  schemas:
    AssistantMessageListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AssistantMessageResponseDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    AssistantMessageResponseDto:
      type: object
      properties:
        id:
          type: string
        conversationId:
          type: string
        role:
          enum:
            - user
            - assistant
          type: string
        parts:
          type: object
        rating:
          nullable: true
          enum:
            - up
            - down
          type: string
        ratingComment:
          type: string
          nullable: true
        ratedAt:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - conversationId
        - role
        - parts
        - rating
        - ratingComment
        - ratedAt
        - createdAt
        - updatedAt

````